<form [formGroup]="form" (ngSubmit)="dialogRef.close(form.value.profile)">
	<h1 mat-dialog-title>{{ data.title | translate }}</h1>
	<div mat-dialog-content>
		<mat-form-field appearance="outline">
			<mat-label>{{ 'simple.profile' | translate }}</mat-label>
			<mat-select formControlName="profile">
				<mat-option *ngFor="let profile of data.profiles" [value]="profile">{{ profile.displaynameDecrypted }}</mat-option>
			</mat-select>
		</mat-form-field>
	</div>
	<div mat-dialog-actions>
		<button mat-button type="button" (click)="dialogRef.close()">{{ 'simple.cancel' | translate }}</button>
		<button mat-raised-button type="submit" color="primary" [disabled]="form.invalid">{{ data.button | translate }}</button>
	</div>
</form>
